Alo FilesBatch

Batch Delete

Authorization

APIKeyHeader
X-API-Key<token>

In: header

Query Parameters

x_space_slug?|

Header Parameters

X-Space-Slug*|

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

POST
/batch/delete
curl -X POST "https://alo-files-service-103105631559.europe-west8.run.app/batch/delete" \  -H "X-Space-Slug: string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "files": {
    "deleted": [
      "string"
    ],
    "not_found": [
      "string"
    ]
  },
  "folders": {
    "deleted": [
      "string"
    ],
    "not_found": [
      "string"
    ]
  }
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}